package cz.moneta.test.dsl.payment_engine.enums;

import cz.moneta.test.harness.support.web.DynamicPathPart;

public enum ForeignChannelIdentities implements DynamicPathPart {
    AD("AD - ATM"),
    API("API - Bank API"),
    BKL("BKL - BankKlient"),
    IB("IB - Internet Banka"),
    MC("MC - Multicash"),
    PAE("PAE - Payment Engine"),
    SB("SB - Smart Banka"),
    SWG("SWG - SWIFT"),
    UFO("UFO - UFO");

    private final String foreignChannelId;

    ForeignChannelIdentities(String foreignChannelId) {
        this.foreignChannelId = foreignChannelId;
    }

    @Override
    public String getValue() {
        return foreignChannelId;
    }
}
